### Callable

- lookup(hostname: string, family: number, callback: function): void
- lookup(hostname: string, options: LookupOneOptions, callback: function): void
- lookup(hostname: string, options: LookupAllOptions, callback: function): void
- lookup(hostname: string, options: LookupOptions, callback: function): void
- lookup(hostname: string, callback: function): void

- - Defined in node_modules/@types/node/dns.d.ts:26

  #### Parameters

  - ##### hostname: string

  - ##### family: number

  - ##### callback: function

    - - (err: ErrnoException, address: string, family: number): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### address: string

        - ##### family: number

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:27

  #### Parameters

  - ##### hostname: string

  - ##### options: LookupOneOptions

  - ##### callback: function

    - - (err: ErrnoException, address: string, family: number): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### address: string

        - ##### family: number

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:28

  #### Parameters

  - ##### hostname: string

  - ##### options: LookupAllOptions

  - ##### callback: function

    - - (err: ErrnoException, addresses: LookupAddress[]): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### addresses: LookupAddress[]

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:29

  #### Parameters

  - ##### hostname: string

  - ##### options: LookupOptions

  - ##### callback: function

    - - (err: ErrnoException, address: string | LookupAddress[], family: number): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### address: string | LookupAddress[]

        - ##### family: number

        #### Returns void

- - Defined in node_modules/@types/node/dns.d.ts:30

  #### Parameters

  - ##### hostname: string

  - ##### callback: function

    - - (err: ErrnoException, address: string, family: number): void

      - #### Parameters

        - ##### err: ErrnoException

        - ##### address: string

        - ##### family: number

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(hostname: string, options: LookupAllOptions): Promise<object>
- __promisify__(hostname: string, options?: LookupOneOptions | number): Promise<object>
- __promisify__(hostname: string, options?: LookupOptions | number): Promise<object>

- - Defined in node_modules/@types/node/dns.d.ts:34

  #### Parameters

  - ##### hostname: string

  - ##### options: LookupAllOptions

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/dns.d.ts:35

  #### Parameters

  - ##### hostname: string

  - ##### Optional options: LookupOneOptions | number

  #### Returns Promise<object>

- - Defined in node_modules/@types/node/dns.d.ts:36

  #### Parameters

  - ##### hostname: string

  - ##### Optional options: LookupOptions | number

  #### Returns Promise<object>

Generated using TypeDoc